#include <stdio.h>

#include "family.h"

unsigned int get_card_family(uint32_t boot0)
{
	switch ((boot0 & 0x0f000000) >> 24) {
		case 0:
			if (boot0 & 0x0000f000)
				return NV04;
			else
				return NV03; /* or maybe NV01. as if anyone cared. */
		case 1:
			if (boot0 & 0x00f00000) /* really needed? */
				return NV15;
			else
				return NV10;
		case 2:
			return NV20;
		case 3:
			return NV30;
		case 4:
		case 6:
			return NV40;
		case 5:
		case 8:
		case 9:
		case 0xa:
			return G80;
		case 0xc:
			return NVC0;
		default:
			printf("Unknown card\n");
			return G80;
	}
	return -1;
}
