#include <X11/Xlib.h>
#include <X11/extensions/XvMClib.h>

#include <SDL/SDL_syswm.h>

struct xvmc_state_t {
	int inited;

	int width, height;
	unsigned long port;
	int colorkey;
	XvMCContext ctx;
	XvMCSurfaceInfo surface_info;
	XvMCSurface surface;
	int num_blocks; /* 16x16 blocks, for IDCT */
	XvMCBlockArray data_blocks;
	XvMCMacroBlockArray mv_blocks; /* XXX Motion-Comp */

	struct SDL_SysWMinfo sdli;
};

int init_xvmc_state(struct xvmc_state_t*, int, int);
void free_xvmc_state(struct xvmc_state_t*);

int init_xvmc_window(struct xvmc_state_t*);
void uninit_xvmc_window(struct xvmc_state_t*);

void test_idct_intra(struct xvmc_state_t*);
